.circular-carousel {
    margin-top: 60px;
    margin-bottom: 90px;

    @include media-breakpoint-up(md) {
        margin-bottom: 130px;
        margin-top: 100px;
    }

    @include media-breakpoint-up(lg) {
        margin-bottom: 260px;
    }
}

.carousel-circle-container {
    width: 250px;
    height: 250px;
    border: 2px solid #e4e4e4;
    border-radius: 50%;
    position: relative;
    margin: 0 auto;

    @include media-breakpoint-up(sm) {
        width: 400px;
        height: 400px;
    }
    @include media-breakpoint-up(md) {
        width: 556px;
        height: 556px;
    }

    @include media-breakpoint-up(lg) {
        width: 480px;
        height: 480px;
        margin: 30px 0;
    }

    @include media-breakpoint-up(xl) {
        width: 556px;
        height: 556px;
    }
}

.carousel-circle-dot {
    position: absolute;
    width: 0;
    height: calc(50% + 1px);
    left: 50%;
    bottom: 50%;
    transform: rotate(50deg);
    transform-origin: center bottom;

    &:after {
        content: "";
        display: block;
        top: 0;
        left: 0;
        width: 10px;
        height: 10px;
        background: #e4e4e4;
        border-radius: 50%;
        transform: translate(-50%, -50%);
    }

    .carousel-circle-btn {
        position: absolute;
        width: 50px;
        height: 50px;
        transform: translate(-50%, -50%);
        z-index: 10;
        border: none;
        outline: none;
        background: transparent;
    }
}

.carousel-circle-dot-marker {
    position: absolute;
    width: 0;
    height: calc(50% + 1px);
    left: 50%;
    bottom: 50%;
    transform-origin: center bottom;

    .marker-dot {
        content: "";
        display: block;
        top: 0;
        left: 0;
        width: 35px;
        height: 35px;
        border: 4px solid $colorMain;
        background: #fff;
        border-radius: 50%;
        transform: translate(-50%, -50%);
    }
}

.carousel-circle-slides {
    padding-top: 30px;
    text-align: center;

    @include media-breakpoint-up(md) {
        padding-top: 80px;
    }

    @include media-breakpoint-up(lg) {
        text-align: left;
    }
    @include media-breakpoint-up(xl) {
        padding-top: 140px;
    }
    @include media-breakpoint-up(lg) {
        &:before {
            content: "";
            display: block;
            width: 824px;
            height: 15px;
            background: $colorMain;
            position: absolute;
            top: 0;
        }
    }
    h5 {
        @extend .title-45;
        margin-bottom: 15px;

        @include media-breakpoint-up(md) {
            margin-bottom: 30px;
        }

        @include media-breakpoint-up(lg) {
            // margin-bottom: 80px;
        }

        @include media-breakpoint-up(xl) {
            margin-bottom: 80px;
        }
    }

    .descr {
        margin-bottom: 20px;

        @include media-breakpoint-up(md) {
            margin-bottom: 40px;
        }
        @include media-breakpoint-up(lg) {
            font-size: 20px;
            line-height: 40px;
        }

        @include media-breakpoint-up(xl) {
            margin-bottom: 80px;
        }

    }

    .slick-dots {
        list-style: none;
        margin: 0;
        padding: 0;
        li {
            display: inline-block;
            margin: 0 0 0 -30px;

            @include media-breakpoint-down(md) {
                margin: 0;
            }
        }

        button {
            @include montserrat("45px", 600);
            border: none;
            background: transparent;
            height: 40px;
            line-height: 40px;
            padding: 0 10px;
            border-radius: 20px;
            white-space: nowrap;
            color: #929292;

            @include media-breakpoint-up(sm) {
                padding: 0 15px;
            }

            @include media-breakpoint-up(md) {
                padding: 0 30px;
            }

            &:focus {
                outline: none;
            }

            .slick-active & {
                color: $colorMain;
            }
        }

        .slick-active button {
            color: $colorMain;
        }
    }
}

.carousel-circle-slides {
    // width: 100%;
    // position: absolute;
}

.in-circle-slider {
    height: 100%;
    pointer-events: none;
    .slick-list,
    .slick-track {
        height: 100%;
    }

    .slick-slide > div,
    .slide {
        height: 100%;
    }
    .inner {
        display: flex;
        height: 100%;
        align-items: center;
        justify-content: center;
        padding: 60px;
    }
    h6 {
        @include montserrat(18px, 600);
        text-align: center;

        @include media-breakpoint-up(sm) {
            @include montserrat(28px, 600);
        }
        @include media-breakpoint-up(md) {
            @include montserrat(36px, 600);
        }

        @include media-breakpoint-up(lg) {
            @include montserrat(36px, 600);
        }
    }

    .slide-img {
        width: 260px;
        height: 260px;
        background-size: contain;
        background-position: center center;
        background-repeat: no-repeat;
    }
}
